//
// Prsomption: ce sont des RGB 24 bits
//

#include "minuter.h"
#include "compresser_bitmap.h"
#include <iostream>
#include <string>
#include <algorithm>
#include <vector>
#include <chrono>

using namespace std;
using namespace std::chrono;

void compresser_bitmaps_rle(const vector<string> &v) {
   auto ecoule = tester([&]() {
      for(const auto &s : v)
         compresser_bitmap_rle(s);
      return 0;
   });
   cout << "Compression RLE, toutes les images, " << v.size() << (v.size() == 1? " image" : " images")
        << " en " << duration_cast<milliseconds>(ecoule.second).count() << " ms." << endl;
}

int main(int argc, char *argv[]) {
   if (argc == 1)
      compresser_bitmaps_rle(vector<string>(1, "in.bmp"));
   else
      compresser_bitmaps_rle(vector<string>(argv + 1, argv + argc)); 
}
